{instruments: [{name: Instrument 0, parameters: {algorithm: 1, am_sensitivity: 0,
        feedback: 0, fm_sensitivity: 0, op_amplitude_modulation: [0, 0, 0, 0], op_attack_rate: [
          1, 4, 13, 4], op_decay_1: [1, 4, 2, 1], op_decay_2: [0, 0, 0, 0], op_detune_1: [
          3, 5, 0, 0], op_multiple: [2, 0, 2, 0], op_rate_scaling: [0, 0, 0, 0], op_release: [
          3, 1, 4, 9], op_ssg_eg: [0, 0, 0, 0], op_sustain: [2, 3, 3, 2], op_total_level: [
          17, 25, 21, 0], panning: RL}, type: fm_ym2612_normal}, {name: Instrument
        1, parameters: {algorithm: 7, am_sensitivity: 0, feedback: 0, fm_sensitivity: 0,
        op_amplitude_modulation: [0, 0, 0, 0], op_attack_rate: [31, 31, 31, 5], op_decay_1: [
          8, 4, 10, 0], op_decay_2: [0, 0, 0, 0], op_detune_1: [5, 5, 0, 0], op_multiple: [
          5, 1, 1, 1], op_rate_scaling: [0, 0, 0, 0], op_release: [3, 1, 4, 9], op_ssg_eg: [
          0, 0, 0, 0], op_sustain: [15, 11, 15, 15], op_total_level: [127, 127, 127,
          2], panning: RL}, type: fm_ym2612_normal}, {name: Instrument 2, parameters: {
        algorithm: 6, am_sensitivity: 2, feedback: 0, fm_sensitivity: 4, op_amplitude_modulation: [
          1, 1, 1, 1], op_attack_rate: [31, 23, 10, 26], op_decay_1: [2, 15, 7, 9],
        op_decay_2: [0, 0, 0, 0], op_detune_1: [5, 5, 0, 0], op_multiple: [0, 0, 0,
          0], op_rate_scaling: [0, 0, 0, 0], op_release: [3, 1, 4, 9], op_ssg_eg: [
          0, 0, 0, 0], op_sustain: [15, 11, 15, 15], op_total_level: [33, 32, 20,
          2], panning: RL}, type: fm_ym2612_normal}, {name: Piou, parameters: {amplitude: {
          data: [0, 1, 1, 2, 2, 3, 3, 3, 4, 4, 5, 5, 5, 6, 6, 7, 7, 8, 8, 8, 9, 10,
            10, 10, 10, 11, 11, 11, 11, 14, 15], loop: 19, period: 1, release: 21},
        argpegio: {data: [0, 0, 0, 1, 2, 4, 249, 3, 3, 250], loop: 1, period: 1, release: 3},
        duty: {}, pan: {}, pitch: {}, reset_phase: {}}, type: sn76489}, {name: Dark
        square, parameters: {amplitude: {data: [0, 1, 3, 3, 4, 4, 5, 5, 6, 7, 7, 8,
            8, 9, 9, 10, 11, 11, 12, 12, 13, 13, 14, 14], loop: 255, period: 4, release: 255},
        argpegio: {}, duty: {}, pan: {}, pitch: {}, reset_phase: {}}, type: sn76489},
    {name: Instrument 5, parameters: {amplitude: {data: [0, 0, 15, 15, 15, 15, 8,
            8, 15, 15, 15, 15, 13, 13, 14, 14, 14, 15, 15], loop: 255, period: 1,
          release: 255}, argpegio: {}, duty: {}, pan: {}, pitch: {}, reset_phase: {}},
      type: sn76489}], metadata: {author: Emmanuel Rousseau, comment: '', format_version: 1,
    title: Some desertic theme}, pattern_size: 64, patterns: [[['---', '---', '---',
        '---', '---', '---', C-1|i04, C-3|i03, C-4|i05, '---'], ['---', '---', '---',
        '---', '---', '---', '---', '---', '---', '---'], ['---', '---', '---', '---',
        '---', '---', ^--, '---', '---', '---'], ['---', '---', '---', '---', '---',
        '---', '---', '---', '---', '---'], ['---', '---', '---', '---', '---', '---',
        C-1|i04, ^--, '---', '---'], ['---', '---', '---', '---', '---', '---', '---',
        '---', '---', '---'], ['---', '---', '---', '---', '---', '---', ^--, '---',
        G#-3|i05, '---'], ['---', '---', '---', '---', '---', '---', '---', '---',
        '---', '---'], ['---', '---', '---', '---', '---', '---', C-1|i04, C-3|i03,
        '---', '---'], ['---', '---', '---', '---', '---', '---', '---', '---', '---',
        '---'], ['---', '---', '---', '---', '---', '---', ^--, '---', '---', '---'],
      ['---', '---', '---', '---', '---', '---', '---', '---', '---', '---'], ['---',
        '---', '---', '---', '---', '---', C-1|i04, ^--, D#-4|i05, '---'], ['---',
        '---', '---', '---', '---', '---', '---', '---', '---', '---'], ['---', '---',
        '---', '---', '---', '---', ^--, '---', '---', '---'], ['---', '---', '---',
        '---', '---', '---', '---', '---', '---', '---'], ['---', '---', '---', '---',
        '---', '---', C-1|i04, C-3|i03, '---', '---'], ['---', '---', '---', '---',
        '---', '---', '---', '---', '---', '---'], ['---', '---', '---', '---', '---',
        '---', ^--, '---', G#-3|i05, '---'], ['---', '---', '---', '---', '---', '---',
        '---', '---', '---', '---'], ['---', '---', '---', '---', '---', '---', C-1|i04,
        ^--, '---', '---'], ['---', '---', '---', '---', '---', '---', '---', '---',
        '---', '---'], ['---', '---', '---', '---', '---', '---', ^--, '---', '---',
        '---'], ['---', '---', '---', '---', '---', '---', '---', '---', '---', '---'],
      ['---', '---', '---', '---', '---', '---', C-1|i04, C-3|i03, B-3|i05, '---'],
      ['---', '---', '---', '---', '---', '---', '---', '---', '---', '---'], ['---',
        '---', '---', '---', '---', '---', ^--, '---', '---', '---'], ['---', '---',
        '---', '---', '---', '---', '---', '---', '---', '---'], ['---', '---', '---',
        '---', '---', '---', C-1|i04, ^--, G#-3|i05, '---'], ['---', '---', '---',
        '---', '---', '---', '---', '---', '---', '---'], ['---', '---', '---', '---',
        '---', '---', ^--, '---', '---', '---'], ['---', '---', '---', '---', '---',
        '---', '---', '---', '---', '---'], ['---', '---', '---', '---', '---', '---',
        C-1|i04, D#-2|i03, D#-4|i05, '---'], ['---', '---', '---', '---', '---', '---',
        '---', '---', '---', '---'], ['---', '---', '---', '---', '---', '---', ^--,
        '---', '---', '---'], ['---', '---', '---', '---', '---', '---', '---', D#-2|i03,
        '---', '---'], ['---', '---', '---', '---', '---', '---', C-1|i04, '---',
        '---', '---'], ['---', '---', '---', '---', '---', '---', '---', ^--, '---',
        '---'], ['---', '---', '---', '---', '---', '---', ^--, D#-2|i03, D#-4|i05,
        '---'], ['---', '---', '---', '---', '---', '---', '---', '---', '---', '---'],
      ['---', '---', '---', '---', '---', '---', C-1|i04, D#-2|i03, '---', '---'],
      ['---', '---', '---', '---', '---', '---', '---', '---', '---', '---'], ['---',
        '---', '---', '---', '---', '---', ^--, '---', ^--, '---'], ['---', '---',
        '---', '---', '---', '---', '---', D#-2|i03, '---', '---'], ['---', '---',
        '---', '---', '---', '---', C-1|i04, '---', F#-4|i05, '---'], ['---', '---',
        '---', '---', '---', '---', '---', ^--, '---', '---'], ['---', '---', '---',
        '---', '---', '---', ^--, D#-2|i03, '---', '---'], ['---', '---', '---', '---',
        '---', '---', '---', '---', '---', '---'], ['---', '---', '---', '---', '---',
        '---', C-1|i04, D#-2|i03, ^--, '---'], ['---', '---', '---', '---', '---',
        '---', '---', ^--, '---', '---'], ['---', '---', '---', '---', '---', '---',
        ^--, F#-2|i03, F#-4|i05, '---'], ['---', '---', '---', '---', '---', '---',
        '---', '---', '---', '---'], ['---', '---', '---', '---', '---', '---', C-1|i04,
        F#-2|i03, A-4|i05, '---'], ['---', '---', '---', '---', '---', '---', '---',
        '---', '---', '---'], ['---', '---', '---', '---', '---', '---', ^--, ^--,
        ^--, '---'], ['---', '---', '---', '---', '---', '---', '---', F#-2|i03, '---',
        '---'], ['---', '---', '---', '---', '---', '---', C-1|i04, '---', F#-4|i05,
        '---'], ['---', '---', '---', '---', '---', '---', '---', '---', '---', '---'],
      ['---', '---', '---', '---', '---', '---', ^--, ^--, ^--, '---'], ['---', '---',
        '---', '---', '---', '---', '---', '---', '---', '---'], ['---', '---', '---',
        '---', '---', '---', C-1|i04, A-2|i03, A-3|i05, '---'], ['---', '---', '---',
        '---', '---', '---', '---', '---', '---', '---'], ['---', '---', '---', '---',
        '---', '---', ^--, '---', ^--, '---'], ['---', '---', '---', '---', '---',
        '---', '---', ^--, '---', '---']], [[C-2|i00, '---', '---', '---', '---',
        G-5|i02, '---', '---', '---', '---'], ['---', '---', '---', '---', '---',
        '---', '---', '---', '---', '---'], ['---', '---', '---', '---', '---', '---',
        '---', '---', '---', '---'], ['---', '---', '---', '---', '---', '---', '---',
        '---', '---', '---'], ['---', '---', '---', '---', '---', C-5|i02, '---',
        '---', '---', '---'], ['---', '---', '---', '---', '---', '---', '---', '---',
        '---', '---'], ['---', '---', '---', '---', '---', '---', '---', '---', '---',
        '---'], ['---', '---', '---', '---', '---', '---', '---', '---', '---', '---'],
      ['---', D#-4|i00, '---', '---', '---', D#-5|i02, '---', '---', '---', '---'],
      ['---', '---', '---', '---', '---', '---', '---', '---', '---', '---'], ['---',
        '---', '---', '---', '---', '---', '---', '---', '---', '---'], ['---', '---',
        '---', '---', '---', '---', '---', '---', '---', '---'], ['---', '---', '---',
        '---', '---', C-5|i02, '---', '---', '---', '---'], ['---', '---', '---',
        '---', '---', '---', '---', '---', '---', '---'], ['---', '---', '---', '---',
        '---', '---', '---', '---', '---', '---'], ['---', '---', '---', '---', '---',
        '---', '---', '---', '---', '---'], ['---', '---', G-4|i01, ^--, '---', G-5|i02,
        '---', '---', '---', '---'], ['---', '---', '---', '---', '---', '---', '---',
        '---', '---', '---'], ['---', '---', '---', '---', '---', '---', '---', '---',
        '---', '---'], ['---', '---', '---', '---', '---', '---', '---', '---', '---',
        '---'], ['---', '---', '---', '---', '---', C-5|i02, '---', '---', '---',
        '---'], ['---', '---', '---', '---', '---', '---', '---', '---', '---', '---'],
      ['---', '---', '---', '---', '---', '---', '---', '---', '---', '---'], ['---',
        '---', '---', '---', '---', '---', '---', '---', '---', '---'], ['---', '---',
        '---', '---', ^--, D#-5|i02, '---', '---', '---', '---'], ['---', '---', '---',
        '---', '---', '---', '---', '---', '---', '---'], ['---', '---', '---', '---',
        '---', '---', '---', '---', '---', '---'], ['---', '---', '---', '---', '---',
        '---', '---', '---', '---', '---'], ['---', '---', '---', '---', '---', C-5|i02,
        '---', '---', '---', '---'], ['---', '---', '---', '---', '---', '---', '---',
        '---', '---', '---'], ['---', '---', '---', '---', '---', '---', '---', '---',
        '---', '---'], ['---', '---', '---', '---', '---', '---', '---', '---', '---',
        '---'], ['---', '---', '---', '---', '---', G-5|i02, '---', '---', '---',
        '---'], ['---', '---', '---', '---', '---', '---', '---', '---', '---', '---'],
      ['---', '---', '---', '---', '---', '---', '---', '---', '---', '---'], ['---',
        '---', '---', '---', '---', '---', '---', '---', '---', '---'], ['---', '---',
        '---', '---', '---', C-5|i02, '---', '---', '---', '---'], ['---', '---',
        '---', '---', '---', '---', '---', '---', '---', '---'], ['---', '---', '---',
        '---', '---', '---', '---', '---', '---', '---'], ['---', '---', '---', '---',
        '---', '---', '---', '---', '---', '---'], ['---', '---', '---', '---', '---',
        D#-5|i02, '---', '---', '---', '---'], ['---', '---', '---', '---', '---',
        '---', '---', '---', '---', '---'], ['---', '---', '---', '---', '---', '---',
        '---', '---', '---', '---'], ['---', '---', '---', '---', '---', '---', '---',
        '---', '---', '---'], ['---', '---', '---', '---', '---', C-5|i02, '---',
        '---', '---', '---'], ['---', '---', '---', '---', '---', '---', '---', '---',
        '---', '---'], ['---', '---', '---', '---', '---', '---', '---', '---', '---',
        '---'], ['---', '---', '---', '---', '---', '---', '---', '---', '---', '---'],
      ['---', '---', '---', '---', '---', G-5|i02, '---', '---', '---', '---'], [
        '---', '---', '---', '---', '---', '---', '---', '---', '---', '---'], ['---',
        '---', '---', '---', '---', '---', '---', '---', '---', '---'], ['---', '---',
        '---', '---', '---', '---', '---', '---', '---', '---'], ['---', '---', '---',
        '---', '---', C-5|i02, '---', '---', '---', '---'], ['---', '---', '---',
        '---', '---', '---', '---', '---', '---', '---'], ['---', '---', '---', '---',
        '---', '---', '---', '---', '---', '---'], ['---', '---', '---', '---', '---',
        '---', '---', '---', '---', '---'], ['---', '---', '---', '---', '---', D#-5|i02,
        '---', '---', '---', '---'], ['---', '---', '---', '---', '---', '---', '---',
        '---', '---', '---'], ['---', '---', '---', '---', '---', '---', '---', '---',
        '---', '---'], ['---', '---', '---', '---', '---', '---', '---', '---', '---',
        '---'], ['---', '---', '---', '---', '---', '---', '---', '---', '---', '---'],
      ['---', '---', '---', '---', '---', '---', '---', '---', '---', '---'], ['---',
        '---', '---', '---', '---', '---', '---', '---', '---', '---'], ['---', '---',
        '---', '---', '---', '---', '---', '---', '---', '---']], [['---', '---',
        '---', C-3|i00, '---', D#-5|i02, '---', '---', '---', '---'], ['---', '---',
        '---', '---', '---', '---', '---', '---', '---', '---'], ['---', '---', '---',
        '---', '---', '---', '---', '---', '---', '---'], ['---', '---', '---', '---',
        '---', '---', '---', '---', '---', '---'], ['---', '---', '---', '---', G#-2|i00,
        G#-4|i02, '---', '---', '---', '---'], ['---', '---', '---', '---', '---',
        '---', '---', '---', '---', '---'], ['---', '---', '---', '---', '---', '---',
        '---', '---', '---', '---'], ['---', '---', '---', '---', '---', '---', '---',
        '---', '---', '---'], ['---', '---', '---', '---', '---', C-5|i02, '---',
        '---', '---', '---'], ['---', '---', '---', '---', '---', '---', '---', '---',
        '---', '---'], ['---', '---', '---', '---', '---', '---', '---', '---', '---',
        '---'], ['---', '---', '---', '---', '---', '---', '---', '---', '---', '---'],
      ['---', '---', '---', '---', '---', G#-4|i02, '---', '---', '---', '---'], [
        '---', '---', '---', '---', '---', '---', '---', '---', '---', '---'], ['---',
        '---', '---', '---', '---', '---', '---', '---', '---', '---'], ['---', '---',
        '---', '---', '---', '---', '---', '---', '---', '---'], [^--, '---', C-3|i01,
        '---', '---', D#-5|i02, '---', '---', '---', '---'], ['---', '---', '---',
        '---', '---', '---', '---', '---', '---', '---'], ['---', '---', '---', '---',
        '---', '---', '---', '---', '---', '---'], ['---', '---', '---', '---', '---',
        '---', '---', '---', '---', '---'], ['---', '---', '---', '---', '---', G#-4|i02,
        '---', '---', '---', '---'], ['---', '---', '---', '---', '---', '---', '---',
        '---', '---', '---'], ['---', '---', '---', '---', '---', '---', '---', '---',
        '---', '---'], ['---', '---', '---', '---', '---', '---', '---', '---', '---',
        '---'], ['---', '---', '---', '---', '---', C-5|i02, '---', '---', '---',
        '---'], ['---', '---', '---', '---', '---', '---', '---', '---', '---', '---'],
      ['---', '---', '---', '---', '---', '---', '---', '---', '---', '---'], ['---',
        '---', '---', '---', '---', '---', '---', '---', '---', '---'], ['---', '---',
        '---', '---', '---', G#-4|i02, '---', '---', '---', '---'], ['---', '---',
        '---', '---', '---', '---', '---', '---', '---', '---'], ['---', '---', '---',
        '---', '---', '---', '---', '---', '---', '---'], ['---', '---', '---', '---',
        '---', '---', '---', '---', '---', '---'], ['---', ^--, '---', '---', '---',
        D#-5|i02, '---', '---', '---', '---'], ['---', '---', '---', '---', '---',
        '---', '---', '---', '---', '---'], ['---', '---', '---', '---', '---', '---',
        '---', '---', '---', '---'], ['---', '---', '---', '---', '---', '---', '---',
        '---', '---', '---'], ['---', '---', '---', '---', '---', G#-4|i02, '---',
        '---', '---', '---'], ['---', '---', '---', '---', '---', '---', '---', '---',
        '---', '---'], ['---', '---', '---', '---', '---', '---', '---', '---', '---',
        '---'], ['---', '---', '---', '---', '---', '---', '---', '---', '---', '---'],
      ['---', '---', '---', '---', '---', C-5|i02, '---', '---', '---', '---'], [
        '---', '---', '---', '---', '---', '---', '---', '---', '---', '---'], ['---',
        '---', '---', '---', '---', '---', '---', '---', '---', '---'], ['---', '---',
        '---', '---', '---', '---', '---', '---', '---', '---'], ['---', '---', '---',
        '---', '---', G#-4|i02, '---', '---', '---', '---'], ['---', '---', '---',
        '---', '---', '---', '---', '---', '---', '---'], ['---', '---', '---', '---',
        '---', '---', '---', '---', '---', '---'], ['---', '---', '---', '---', '---',
        '---', '---', '---', '---', '---'], ['---', '---', '---', '---', '---', D#-5|i02,
        '---', '---', '---', '---'], ['---', '---', '---', '---', '---', '---', '---',
        '---', '---', '---'], ['---', '---', '---', '---', '---', '---', '---', '---',
        '---', '---'], ['---', '---', '---', '---', '---', '---', '---', '---', '---',
        '---'], ['---', '---', '---', '---', '---', G#-4|i02, '---', '---', '---',
        '---'], ['---', '---', '---', '---', '---', '---', '---', '---', '---', '---'],
      ['---', '---', '---', '---', '---', '---', '---', '---', '---', '---'], ['---',
        '---', '---', '---', '---', '---', '---', '---', '---', '---'], ['---', '---',
        '---', '---', '---', C-5|i02, '---', '---', '---', '---'], ['---', '---',
        '---', '---', '---', '---', '---', '---', '---', '---'], ['---', '---', '---',
        '---', '---', '---', '---', '---', '---', '---'], ['---', '---', '---', '---',
        '---', '---', '---', '---', '---', '---'], ['---', '---', '---', '---', '---',
        G#-4|i02, '---', '---', '---', '---'], ['---', '---', '---', '---', '---',
        '---', '---', '---', '---', '---'], ['---', '---', '---', '---', '---', '---',
        '---', '---', '---', '---'], ['---', '---', '---', '---', '---', '---', '---',
        '---', '---', '---']], [[C-2|i00, '---', '---', '---', '---', G-5|i02, '---',
        '---', '---', '---'], ['---', '---', '---', '---', '---', '---', '---', '---',
        '---', '---'], ['---', '---', '---', '---', '---', '---', '---', '---', '---',
        '---'], ['---', '---', '---', '---', '---', '---', '---', '---', '---', '---'],
      ['---', '---', '---', '---', '---', C-5|i02, '---', '---', '---', '---'], [
        '---', '---', '---', '---', '---', '---', '---', '---', '---', '---'], ['---',
        '---', '---', '---', '---', '---', '---', '---', '---', '---'], ['---', '---',
        '---', '---', '---', '---', '---', '---', '---', '---'], ['---', D#-4|i00,
        '---', '---', '---', D#-5|i02, '---', '---', '---', '---'], ['---', '---',
        '---', '---', '---', '---', '---', '---', '---', '---'], ['---', '---', '---',
        '---', '---', '---', '---', '---', '---', '---'], ['---', '---', '---', '---',
        '---', '---', '---', '---', '---', '---'], ['---', '---', '---', '---', '---',
        C-5|i02, '---', '---', '---', '---'], ['---', '---', '---', '---', '---',
        '---', '---', '---', '---', '---'], ['---', '---', '---', '---', '---', '---',
        '---', '---', '---', '---'], ['---', '---', '---', '---', '---', '---', '---',
        '---', '---', '---'], ['---', '---', G-4|i01, ^--, '---', G-5|i02, '---',
        '---', '---', '---'], ['---', '---', '---', '---', '---', '---', '---', '---',
        '---', '---'], ['---', '---', '---', '---', '---', '---', '---', '---', '---',
        '---'], ['---', '---', '---', '---', '---', '---', '---', '---', '---', '---'],
      ['---', '---', '---', '---', '---', C-5|i02, '---', '---', '---', '---'], [
        '---', '---', '---', '---', '---', '---', '---', '---', '---', '---'], ['---',
        '---', '---', '---', '---', '---', '---', '---', '---', '---'], ['---', '---',
        '---', '---', '---', '---', '---', '---', '---', '---'], ['---', '---', '---',
        '---', ^--, D#-5|i02, '---', '---', '---', '---'], ['---', '---', '---', '---',
        '---', '---', '---', '---', '---', '---'], ['---', '---', '---', '---', '---',
        '---', '---', '---', '---', '---'], ['---', '---', '---', '---', '---', '---',
        '---', '---', '---', '---'], ['---', '---', '---', '---', '---', C-5|i02,
        '---', '---', '---', '---'], ['---', '---', '---', '---', '---', '---', '---',
        '---', '---', '---'], ['---', '---', '---', '---', '---', '---', '---', '---',
        '---', '---'], ['---', '---', '---', '---', '---', '---', '---', '---', '---',
        '---'], ['---', '---', '---', '---', '---', G-5|i02, '---', '---', '---',
        '---'], ['---', '---', '---', '---', '---', '---', '---', '---', '---', '---'],
      ['---', '---', '---', '---', '---', '---', '---', '---', '---', '---'], ['---',
        '---', '---', '---', '---', '---', '---', '---', '---', '---'], ['---', '---',
        '---', '---', '---', C-5|i02, '---', '---', '---', '---'], ['---', '---',
        '---', '---', '---', '---', '---', '---', '---', '---'], ['---', '---', '---',
        '---', '---', '---', '---', '---', '---', '---'], ['---', '---', '---', '---',
        '---', '---', '---', '---', '---', '---'], ['---', '---', '---', '---', '---',
        D#-5|i02, '---', '---', '---', '---'], ['---', '---', '---', '---', '---',
        '---', '---', '---', '---', '---'], ['---', '---', '---', '---', '---', '---',
        '---', '---', '---', '---'], ['---', '---', '---', '---', '---', '---', '---',
        '---', '---', '---'], ['---', '---', '---', '---', '---', C-5|i02, '---',
        '---', '---', '---'], ['---', '---', '---', '---', '---', '---', '---', '---',
        '---', '---'], ['---', '---', '---', '---', '---', '---', '---', '---', '---',
        '---'], ['---', '---', '---', '---', '---', '---', '---', '---', '---', '---'],
      ['---', '---', '---', '---', '---', G-5|i02, '---', '---', '---', '---'], [
        '---', '---', '---', '---', '---', '---', '---', '---', '---', '---'], ['---',
        '---', '---', '---', '---', '---', '---', '---', '---', '---'], ['---', '---',
        '---', '---', '---', '---', '---', '---', '---', '---'], ['---', '---', '---',
        '---', '---', C-5|i02, '---', '---', '---', '---'], ['---', '---', '---',
        '---', '---', '---', '---', '---', '---', '---'], ['---', '---', '---', '---',
        '---', '---', '---', '---', '---', '---'], ['---', '---', '---', '---', '---',
        '---', '---', '---', '---', '---'], ['---', '---', '---', '---', '---', D#-5|i02,
        '---', '---', '---', '---'], ['---', '---', '---', '---', '---', '---', '---',
        '---', '---', '---'], ['---', '---', '---', '---', '---', '---', '---', '---',
        '---', '---'], ['---', '---', '---', '---', '---', '---', '---', '---', '---',
        '---'], ['---', '---', '---', '---', '---', '---', '---', '---', '---', '---'],
      ['---', '---', '---', '---', '---', '---', '---', '---', '---', '---'], ['---',
        '---', '---', '---', '---', '---', '---', '---', '---', '---'], ['---', '---',
        '---', '---', '---', '---', '---', '---', '---', '---']], [['---', '---',
        '---', C-3|i00, '---', D#-5|i02, '---', '---', '---', '---'], ['---', '---',
        '---', '---', '---', '---', '---', '---', '---', '---'], ['---', '---', '---',
        '---', '---', '---', '---', '---', '---', '---'], ['---', '---', '---', '---',
        '---', '---', '---', '---', '---', '---'], ['---', '---', '---', '---', G#-2|i00,
        G#-4|i02, '---', '---', '---', '---'], ['---', '---', '---', '---', '---',
        '---', '---', '---', '---', '---'], ['---', '---', '---', '---', '---', '---',
        '---', '---', '---', '---'], ['---', '---', '---', '---', '---', '---', '---',
        '---', '---', '---'], ['---', '---', '---', '---', '---', C-5|i02, '---',
        '---', '---', '---'], ['---', '---', '---', '---', '---', '---', '---', '---',
        '---', '---'], ['---', '---', '---', '---', '---', '---', '---', '---', '---',
        '---'], ['---', '---', '---', '---', '---', '---', '---', '---', '---', '---'],
      ['---', '---', '---', '---', '---', G#-4|i02, '---', '---', '---', '---'], [
        '---', '---', '---', '---', '---', '---', '---', '---', '---', '---'], ['---',
        '---', '---', '---', '---', '---', '---', '---', '---', '---'], ['---', '---',
        '---', '---', '---', '---', '---', '---', '---', '---'], [^--, '---', C-3|i01,
        '---', '---', D#-5|i02, '---', '---', '---', '---'], ['---', '---', '---',
        '---', '---', '---', '---', '---', '---', '---'], ['---', '---', '---', '---',
        '---', '---', '---', '---', '---', '---'], ['---', '---', '---', '---', '---',
        '---', '---', '---', '---', '---'], ['---', '---', '---', '---', '---', G#-4|i02,
        '---', '---', '---', '---'], ['---', '---', '---', '---', '---', '---', '---',
        '---', '---', '---'], ['---', '---', '---', '---', '---', '---', '---', '---',
        '---', '---'], ['---', '---', '---', '---', '---', '---', '---', '---', '---',
        '---'], ['---', '---', '---', '---', '---', C-5|i02, '---', '---', '---',
        '---'], ['---', '---', '---', '---', '---', '---', '---', '---', '---', '---'],
      ['---', '---', '---', '---', '---', '---', '---', '---', '---', '---'], ['---',
        '---', '---', '---', '---', '---', '---', '---', '---', '---'], ['---', '---',
        '---', '---', '---', G#-4|i02, '---', '---', '---', '---'], ['---', '---',
        '---', '---', '---', '---', '---', '---', '---', '---'], ['---', '---', '---',
        '---', '---', '---', '---', '---', '---', '---'], ['---', '---', '---', '---',
        '---', '---', '---', '---', '---', '---'], ['---', ^--, '---', '---', '---',
        D#-5|i02, '---', '---', '---', '---'], ['---', '---', '---', '---', '---',
        '---', '---', '---', '---', '---'], ['---', '---', '---', '---', '---', '---',
        '---', '---', '---', '---'], ['---', '---', '---', '---', '---', '---', '---',
        '---', '---', '---'], ['---', '---', '---', '---', '---', G#-4|i02, '---',
        '---', '---', '---'], ['---', '---', '---', '---', '---', '---', '---', '---',
        '---', '---'], ['---', '---', '---', '---', '---', '---', '---', '---', '---',
        '---'], ['---', '---', '---', '---', '---', '---', '---', '---', '---', '---'],
      ['---', '---', '---', '---', '---', C-5|i02, '---', '---', '---', '---'], [
        '---', '---', '---', '---', '---', '---', '---', '---', '---', '---'], ['---',
        '---', '---', '---', '---', '---', '---', '---', '---', '---'], ['---', '---',
        '---', '---', '---', '---', '---', '---', '---', '---'], ['---', '---', '---',
        '---', '---', G#-4|i02, '---', '---', '---', '---'], ['---', '---', '---',
        '---', '---', '---', '---', '---', '---', '---'], ['---', '---', '---', '---',
        '---', '---', '---', '---', '---', '---'], ['---', '---', '---', '---', '---',
        '---', '---', '---', '---', '---'], ['---', '---', '---', '---', '---', D#-5|i02,
        '---', '---', '---', '---'], ['---', '---', '---', '---', '---', '---', '---',
        '---', '---', '---'], ['---', '---', '---', '---', '---', '---', '---', '---',
        '---', '---'], ['---', '---', '---', '---', '---', '---', '---', '---', '---',
        '---'], ['---', '---', '---', '---', '---', G#-4|i02, '---', '---', '---',
        '---'], ['---', '---', '---', '---', '---', '---', '---', '---', '---', '---'],
      ['---', '---', '---', '---', '---', '---', '---', '---', '---', '---'], ['---',
        '---', '---', '---', '---', '---', '---', '---', '---', '---'], ['---', '---',
        '---', '---', '---', C-5|i02, '---', '---', '---', '---'], ['---', '---',
        '---', '---', '---', '---', '---', '---', '---', '---'], ['---', '---', '---',
        '---', '---', '---', '---', '---', '---', '---'], ['---', '---', '---', '---',
        '---', '---', '---', '---', '---', '---'], ['---', '---', '---', '---', '---',
        G#-4|i02, '---', '---', '---', '---'], ['---', '---', '---', '---', '---',
        '---', '---', '---', '---', '---'], ['---', '---', '---', '---', '---', '---',
        '---', '---', '---', '---'], ['---', '---', '---', '---', '---', '---', '---',
        '---', '---', '---']]], tempo: {rows_per_beat: 4, speed: 1, tempo_bpm: 112.5,
    ticks_per_second: 60.0, virtual_tempo: [72, 9]}}
